%define req_gail_version 1.3
%define pkgname libgtkhtml
%define lib_major 0
%define api_version 2
%define libname %mklibname gtkhtml %{api_version} %{lib_major}
%define libnamedev %mklibname -d gtkhtml %{api_version}

Summary: GtkHTML 2
Name: %{pkgname}%{api_version}
Version: 2.11.1
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2

License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gail-devel >= %{req_gail_version}
BuildRequires: gnome-vfs2-devel
BuildRequires: libsm-devel

%description
GtkHTML 2

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
GtkHTML 2 shared library

%package -n %{libnamedev}
Summary:	Static libraries, include files for GtkHTML2
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtkhtml2-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}
Requires:	gail-devel
Requires:	gnome-vfs2-devel
Obsoletes: %mklibname -d gtkhtml %{api_version} %{lib_major}

%description -n %{libnamedev}
GtkHTML2 development files

%prep
%setup -q -n %{pkgname}-%{version}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgtkhtml-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.11.1-3mdv2009.0
+ Revision: 222884
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdv2008.0
+ Revision: 63329
- new version
- new devel name


* Thu Oct 19 2006 Gtz Waschk <waschk@mandriva.org> 2.11.0-3mdv2007.1
- fix buildrequires

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.11.0-2mdv2007.0
- Rebuild with latest libgail

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.0-1mdk
- Release 2.11.0
- Remove patch0 (no longer needed)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.6.3-3mdk
- rebuild to remove glitz dep

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.6.3-2mdk
- built-in libtool 1.4 fixes

* Sun Feb 13 2005 Götz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

* Tue Jan 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-2mdk
- the devel package provides gtkhtml2-devel for compatibility

* Wed Nov 05 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

